org.apache.tapestry5.internal.event

## Class InvalidationEventHubImpl

- java.lang.Object
- - org.apache.tapestry5.internal.event.InvalidationEventHubImpl

- All Implemented Interfaces:
    InvalidationEventHub
  Direct Known Subclasses:
    ComponentTemplateSourceImpl, InternalComponentInvalidationEventHubImpl, MessagesSourceImpl, ResourceChangeTrackerImpl

      public class InvalidationEventHubImpl
      extends Object
      implements InvalidationEventHub

  Base implementation class for classes (especially services) that need to manage a list of `InvalidationListener`s.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `InvalidationEventHubImpl(boolean productionMode)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addInvalidationCallback(Runnable callback)` Adds a callback that is invoked when an underlying tracked resource has changed.
    `void` | `addInvalidationListener(InvalidationListener listener)` Adds a listener, who needs to know when an underlying resource of a given category has changed (so that the receiver may discard any cached data that may have been invalidated).
    `void` | `clearOnInvalidation(Map<?,?> map)` Adds a callback that clears the map.
    `protected void` | `fireInvalidationEvent()` Notifies all listeners/callbacks.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidationEventHubImpl

          protected InvalidationEventHubImpl(boolean productionMode)

  - ### Method Detail

    - #### fireInvalidationEvent

          protected final void fireInvalidationEvent()

      Notifies all listeners/callbacks.

    - #### addInvalidationCallback

          public final void addInvalidationCallback(Runnable callback)

      Description copied from interface: `InvalidationEventHub`
      Adds a callback that is invoked when an underlying tracked resource has changed. Does nothing in production mode.
      Specified by:
        `addInvalidationCallback` in interface `InvalidationEventHub`

    - #### clearOnInvalidation

          public final void clearOnInvalidation(Map<?,?> map)

      Description copied from interface: `InvalidationEventHub`
      Adds a callback that clears the map.
      Specified by:
        `clearOnInvalidation` in interface `InvalidationEventHub`

    - #### addInvalidationListener

          public final void addInvalidationListener(InvalidationListener listener)

      Description copied from interface: `InvalidationEventHub`
      Adds a listener, who needs to know when an underlying resource of a given category has changed (so that the receiver may discard any cached data that may have been invalidated). Does nothing in production mode.
      Specified by:
        `addInvalidationListener` in interface `InvalidationEventHub`

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.